ホーム > Mac > Homebrewでバージョンを指定したい。

Homebrewでバージョンを指定したい。 このエントリーを含むはてなブックマーク はてなブックマーク - Homebrewでバージョンを指定したい。

2011 年 6 月 3 日

HomebrewでMySQLを入れたら5.5が入ってしまったので、5.1を入れる方法を調べてました。
で、まずたどり着いたのがここ。

Homebrew install specific version of formula ? – Stack Overflow

Since the whole formula directory is a git repository, one can install specific versions using plain git commands.

gitのログコメントみて、バージョンが上がる前のリビジョンに巻き戻してインストールするんですって。
えぇー、と思いつつ他の方法が見つからなかったのでやってみることに。こんな感じ↓

% git log -S'5.1' -- Library/Formula/mysql.rb

これでも5.1に上がった時のリビジョンが見つからなかったのですが edb70c3e29a675c9e4e700b0dea62b22f780b005 にこんなコメントを発見。

Note: MySQL 5.1.x is still available in Homebrew-Alt

Homebrew-Altってのはここ(https://github.com/adamv/homebrew-alt/)のことらしいので、ここを漁って

brew install https://github.com/adamv/homebrew-alt/raw/master/versions/mysql51.rb

で無事にMySQL 5.1が入りました。

・・・んが、これって普通のことなんですか?オプションでバージョン指定してサクッと、みたいな方法はないんですかね。
すごく気持ち悪いのですが、ググり方が悪いのかドキュメントにたどり着けないので、ご存じの方いらっしゃいましたら教えてください。


カテゴリー: Mac タグ:
コメントは受け付けていません。